Botan: Botan::Certificate_Store Class Reference

Botan 1.10.16

Public Member Functions | List of all members
Botan::Certificate_Store Class Referenceabstract

`#include <certstor.h>`

Inheritance diagram for Botan::Certificate_Store:

## Public Member Functions
virtual void | add_certificate (const X509_Certificate &cert)=0
virtual void | add_crl (const X509_CRL &crl)=0
virtual Certificate_Store * | clone () const =0
virtual std::vector< X509_Certificate > | find_cert_by_subject_and_key_id (const X509_DN &subject_dn, const MemoryRegion< byte > &key_id) const =0
virtual std::vector< X509_CRL > | find_crl_by_subject_and_key_id (const X509_DN &issuer_dn, const MemoryRegion< byte > &key_id) const =0
virtual | ~Certificate_Store ()

## Detailed Description

Certificate Store Interface

Definition at line 19 of file certstor.h.

## Constructor & Destructor Documentation

## ◆ ~Certificate_Store()

virtual Botan::Certificate_Store::~Certificate_Store | ( |  | ) |
| inlinevirtual

Definition at line 22 of file certstor.h.

22 {}

## Member Function Documentation

## ◆ add_certificate()

virtual void Botan::Certificate_Store::add_certificate | ( | const X509_Certificate & | cert | ) |
| pure virtual

Add a certificate; this may fail if the store is write-only

Implemented in Botan::Certificate_Store_Memory.

## ◆ add_crl()

virtual void Botan::Certificate_Store::add_crl | ( | const X509_CRL & | crl | ) |
| pure virtual

Add a CRL; this may fail if the store is write-only

Implemented in Botan::Certificate_Store_Memory.

## ◆ clone()

virtual Certificate_Store* Botan::Certificate_Store::clone | ( |  | ) | const
| pure virtual

Implemented in Botan::Certificate_Store_Memory.

## ◆ find_cert_by_subject_and_key_id()

virtual std::vector<X509_Certificate> Botan::Certificate_Store::find_cert_by_subject_and_key_id | ( | const X509_DN & | subject_dn,
|  | const MemoryRegion< byte > & | key_id
| ) |  | const
| pure virtual

Subject DN and (optionally) key identifier

Implemented in Botan::Certificate_Store_Memory.

## ◆ find_crl_by_subject_and_key_id()

virtual std::vector<X509_CRL> Botan::Certificate_Store::find_crl_by_subject_and_key_id | ( | const X509_DN & | issuer_dn,
|  | const MemoryRegion< byte > & | key_id
| ) |  | const
| pure virtual

Find CRLs by the DN and key id of the issuer

Implemented in Botan::Certificate_Store_Memory.

The documentation for this class was generated from the following file:

- src/cert/certstore/certstor.h